# Grant session store permission

Launch stage: Beta

`POST /api/2.0/agents/{name=session-stores/*}/permissions:grant`

`POST /api/agents/v1/{name=session-stores/*}/permissions:grant`

Grants a READ or WRITE permission on a session store to a principal. Only the owner or a workspace admin may grant permissions.

API scopes: agent-kit

## Path parameters

- `name` (string, required)
  Resource name in the form `session-stores/{session_store_id}`.

## Request body

- `principal` (object, required)
  Principal to grant the permission to.
  - `name` (string, required)
  - `principal_type` (string, optional)
    The kind of principal. Required unless the deprecated type alias is supplied.
    Possible values:
    - `USER`
    - `SERVICE_PRINCIPAL`
- `permission` (string, required)
  Permission level to grant.
  Possible values:
  - `READ`
  - `WRITE`

## Response

```json
{}
```

